{% set id_f_encours = 0 %}
{% if (object_type=='sysma_object') %} {% set suff = '001' %}
{% elseif (object_type=='sysma_action') %} {% set suff = '002' %}
{% endif %} 
<div id="modal">
    <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    <h3>Filtres</h3></div>
    <div id="atDiv" class="modal-body">

        {# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
        <form id="atForm" name="atForm" action='#'>

            {% if listeFiltres|length > 0 %}
                <div class="form-group">
                    <label>Filtres existants</label>
                    <select name="filter_id" id="filter_id" class="form-control" onchange="sendForm('atForm', '{{ url('filter-link') }}', 'filterDetails', event, true);">
                        <option value="0"></option>
                        {% for F in listeFiltres %}                        
                            <option value="{{F.idfilter}}">{{F.filter}} [ID{{F.idfilter}}]</option>                       
                        {% endfor %}
                    </select>
                    <input type="hidden" value="{{ id_type }}" name="id_type" />
                    <input type="hidden" value="{{ object_type }}" name="object_type" />
                    <!--
                    {% if (object_type=='sysma_object') %}
                        <input type="hidden" value="{{ id_type }}" name="sysma_object_type_id" />
                        <input type="hidden" value="0" name="sysma_action_type_id" />
                    {% elseif (object_type=='sysma_action') %}
                        <input type="hidden" value="{{ id_type }}" name="sysma_action_type_id" />
                        <input type="hidden" value="0" name="sysma_object_type_id" />
                    {% endif %}
                    -->
                </div>

            </form>
            <div id="filterDetails">

                {{ render(url('active-filters', { 'object_type' : object_type, 'id_type' : id_type })) }} 

            </div>
            <div id="status"></div>

            <p><a class="btn btn-xs btn-default" href="#" onclick='sendData(null, "{{ url('layermanager') }}", "infos", event);
                map._layers[{{ id_type }}{{ suff }}].refresh();'><span class="glyphicon glyphicon-filter"></span> Appliquer les filtres</a></p>
                {% if (object_type=='sysma_action') %}
                <p><a class="btn btn-xs btn-default" href="#" onclick='sendData("object_type=sysma_action&id_type={{id_type}}", "{{ url('filter-link-all-works')}}", "status", event);
                    sendData(null, "{{ url('layermanager') }}", "infos", event);'><span class="glyphicon glyphicon-filter"></span> Appliquer ces filtres aux autres couches travaux</a></p>
            {% endif %}
        {% else %}
            <p>Aucun filtre n'est applicable sur cette couche</p>

        {% endif %}


        {% if app.session.get('is_admin') %}

            <p><a class="btn btn-xs btn-default" href="" onclick="sendData('object_type={{object_type}}&id_type={{id_type}}', '{{ url('filter-modify', { 'object_type' :object_type, 'id_type' : id_type, 'filter_id' : 'nouveau' } ) }}', 'modal', this, false);
                return false;"><span class="glyphicon glyphicon-plus"></span> Créer un filtre</a></p>

        {% endif %}
    </div>
</div>